Engines broken with RoR 1.1?


#1

Hi.

I’m getting a strange error when trying to run any engines based code:

/opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:21:in
require__': no such file to load -- rails_version (MissingSourceFile) from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/ custom_require.rb:21:inrequire’
from ${APPDIR}/config/…/vendor/rails/activerecord/lib/…/…/
activesupport/lib/active_support/dependencies.rb:147:in require' from ${APPDIR}/config/../vendor/plugins/engines/lib/ engines.rb:3 from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/ custom_require.rb:21:inrequire’
from ${APPDIR}/config/…/vendor/rails/activerecord/lib/…/…/
activesupport/lib/active_support/dependencies.rb:147:in require' from ${APPDIR}/config/../vendor/plugins/engines/init.rb: 32:inload_plugin’
from ${APPDIR}/config/…/vendor/rails/railties/lib/
initializer.rb:348:in load_plugin' from ${APPDIR}/config/../vendor/rails/activerecord/lib/../../ activesupport/lib/active_support/core_ext/kernel/reporting.rb:11:insilence_warnings’
from ${APPDIR}/config/…/vendor/rails/railties/lib/
initializer.rb:348:in load_plugin' from ${APPDIR}/config/../vendor/rails/railties/lib/ initializer.rb:158:inload_plugins’
from ${APPDIR}/config/…/vendor/rails/railties/lib/
initializer.rb:158:in load_plugins' from ${APPDIR}/config/../vendor/rails/railties/lib/ initializer.rb:102:inprocess’
from ${APPDIR}/config/…/vendor/rails/railties/lib/
initializer.rb:42:in `run’
from ${APPDIR}/config/environment.rb:17
from ./vendor/plugins/active_rbac/test/unit/…/…/…/…/…/
test/test_helper.rb:2
from ./vendor/plugins/active_rbac/test/unit/…/test_helper.rb:5
from vendor/plugins/active_rbac/test/unit/group_test.rb:1

Essentially, it seems that line 3 of engines.rb (from here: http://
svn.rails-engines.org/engines/trunk/lib/engines.rb) tries to require
the file “rails_version.rb” which does not exist (at least in RoR
1.1.2).

Did this occur to nobody but me yet? What’s the general state of RoR
1.1.x support with Engines?

I would be grateful for any information on this. The Engines plugin
is great stuff but it seems pretty much broken and buggy with 1.1 to me.

Regards,

Manuel


#2

Manuel -

Please switch over to using the official releases from the 1.1 release
branch - that should solve this issue. Trunk is still awaiting merges
of some of the patches in that release.

http://svn.rails-engines.org/plugins/engines
http://svn.rails-engines.org/engines/tags/rel_1.1.1

  • james

On 4/13/06, Manuel H. removed_email_address@domain.invalid wrote:

     from ${APPDIR}/config/../vendor/plugins/engines/lib/

activesupport/lib/active_support/core_ext/kernel/reporting.rb:11:in
initializer.rb:42:in `run’

engine-developers mailing list
removed_email_address@domain.invalid
http://lists.rails-engines.org/listinfo.cgi/engine-developers-rails-engines.org

  • J *
    ~

#3

James,

could you maybe clean up the documentation and the wiki regarding
which Engines version should be used with which RoR version?

Regards,

Manuel


#4

Certainly the wiki could be cleaner, I totally agree. However, in the
release notes to each new version I announce on the rails list, I do
talk about compatibility… The beauty of the wiki is that anyone can
add information if they feel it is relevant :slight_smile:

Essentially - engines 1.1.1, the latest official release is compatible
with every version of Rails that has been official released. Or at
least it should be. The trunk is for development only, and should
really never be relied on, unless you are happy to supply bugfixes and
patches as Rails’ own trunk changes.

  • james

On 4/13/06, Manuel H. removed_email_address@domain.invalid wrote:

removed_email_address@domain.invalid
http://lists.rails-engines.org/listinfo.cgi/engine-developers-rails-engines.org

  • J *
    ~

#5

Am 14.04.2006 um 07:47 schrieb James A.:

Certainly the wiki could be cleaner, I totally agree. However, in the
release notes to each new version I announce on the rails list, I do
talk about compatibility…

Could you send a copy of that mail to engines-dev? The rails list is
pretty much overwhelming to read IMO.

Regards,

Manuel


#6

It does go to engine-users, but in future I’ll send it to
engine-developers too, no problemo.

  • james

On 4/14/06, Manuel H. removed_email_address@domain.invalid wrote:

Regards,

Manuel


engine-developers mailing list
removed_email_address@domain.invalid
http://lists.rails-engines.org/listinfo.cgi/engine-developers-rails-engines.org

  • J *
    ~